include:
  - vncproxy.gitrepo
  - vncproxy.virtualenv
  - vncproxy.configuration

vncproxy:
  pkg.installed:
    - pkgs:
      - git
      - chrony
      - wget
      {% if grains['os_family'] == 'RedHat' %}
      - python3-pip
      - libffi-devel
      - openssl-devel
      - python3-devel
      - python3-virtualenvwrapper
      {% else %}
      - python3-pip
      - libffi-dev
      - libssl-dev
      - python3-dev
      - virtualenvwrapper
      {% endif %}
    - require_in:
      - git: gitrepo_vncproxy
      - virtualenv: virtualenv_vncproxy
  service:
    - running
    - enable: True
    - watch:
      - pkg: vncproxy
      - sls: vncproxy.gitrepo
      - sls: vncproxy.virtualenv
      - sls: vncproxy.configuration
